Modify

Opened 4 years ago

Closed 4 years ago

Last modified 4 years ago

#7456 closed defect (invalid)

AttributeError: 'NoneType' object has no attribute 'rollback'

Reported by: anonymous Owned by: bobbysmith007
Priority: normal Component: TimingAndEstimationPlugin
Severity: normal Keywords: waiting-for-feedback
Cc: Trac Release: 0.12

Description

I have an OpenSuse 11.3 (sqlite 3.6.23-4.1) PC and installed trac version 0.12.

Because of activating the TimingAndEstimationPlugin -> TimeTrackingSetupParticipant, Trac collapse with the message:

'Error

TracError: The Trac Environment needs to be upgraded.

Run "trac-admin /srv/trac/<project name> upgrade"'

Running this command doesn't make it better. The solution on the command line:

'Timing and Estimation needs an upgrade
Upgrading Database
AttributeError: 'NoneType' object has no attribute 'rollback

What can I do to fix this problem? Haven't found a solution yet ...

Attachments (0)

Change History (10)

comment:1 Changed 4 years ago by bobbysmith007

In order to debug this I will need you to enable TracLogging and post a relevant snippet of log file here to see where the error is coming from.

I have been using this plugin on trac 12 and while I thought we had most of the bugs worked out, it is possible something was missed. Just to verify you are running the trac12 version of this plugin I assume?

I will try to get this working for you once I can debug the error (with your logs),
HTH,

Russ

comment:2 Changed 4 years ago by anonymous

Thanks for your help. I activated TracLogging and got the attached log file.

I've seen that this is the same problem like here: http://trac-hacks.org/ticket/7182 => "06/18/10 16:14:32 changed by Vasja"

This Bug should be closed with the Ticket #7262, but I can't find the file 'tracsqlhelper/init.py'. I have a 'standard' OpenSUSE Installation of trac 0.12, so where can I find this file?

Error:

2010-08-06 02:39:38,017 Trac[console] ERROR: Exception in trac-admin command: 
Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/trac/admin/console.py", line 107, in onecmd
    rv = cmd.Cmd.onecmd(self, line) or 0
  File "/usr/lib/python2.6/cmd.py", line 218, in onecmd
    return self.default(line)
  File "/usr/lib/python2.6/site-packages/trac/admin/console.py", line 257, in default
    return cmd_mgr.execute_command(*args)
  File "/usr/lib/python2.6/site-packages/trac/admin/api.py", line 123, in execute_command
    return f(*fargs)
  File "/usr/lib/python2.6/site-packages/trac/env.py", line 790, in _do_upgrade
    self.env.upgrade(backup=no_backup is None)
  File "/usr/lib/python2.6/site-packages/trac/env.py", line 533, in upgrade
    with_transaction(self)(participant.upgrade_environment)
  File "/usr/lib/python2.6/site-packages/trac/db/api.py", line 82, in transaction_wrapper
    ldb.rollback()
  File "/usr/lib/python2.6/site-packages/trac/db/util.py", line 102, in __getattr__
    return getattr(self.cnx, name)
AttributeError: 'NoneType' object has no attribute 'rollback'

comment:3 Changed 4 years ago by bobbysmith007

TracHours and TimingAndEstimation are different plugins, and TandE doesnt use TracSqlHelper. It seems that TracHours requires the TracSqlHelperScript

Either way trac and plugins are best installed from SVN source control, and this is also where you can grab TracSqlHelper (which looks neat, but I have never seen it before).

These can be installed the usual way, though I am not sure this is an installation issue yet


That said, it seems like the error log you posted is masking the actual cause of the problem, which may or may not be related to TracSqlHelperScript (if you have TracHours installed as well).

Can you post all the version numbers on your trac about page (logged in as admin), and a more complete log listing please?

hopefully we will have you fixed up soon,
Russ

comment:4 Changed 4 years ago by bobbysmith007

  • Component changed from TimingAndEstimationPlugin to TocMacro
  • Keywords waiting-for-feedback added
  • Owner changed from bobbysmith007 to coderanger

comment:5 Changed 4 years ago by bobbysmith007

  • Component changed from TocMacro to TimingAndEstimationPlugin
  • Owner changed from coderanger to bobbysmith007

not sure why that changed owner and component

comment:6 Changed 4 years ago by anonymous

Hello ... first thanks for your help.

I wasn't at work the last time (I'm a student), so I had to do a lot of other stuff.
But the problem still exists. I have updated OpenSUSE to version 11.3.

Trac       0.13dev-r9983
Babel      0.9.5
Docutils   0.5
Genshi     0.6
mod_python 3.3.1
psycopg2   2.0.12
Pygments   1.3.1
Python     2.6.5 (r265:79063, Jul 5 2010, 11:47:21) [GCC 4.5.0 20100604 [gcc-4_5-branch revision 160292]]
pytz       2010h
setuptools 0.6c11
SilverCity 0.9.7
Subversion 1.6.9 (r901367)
jQuery:    1.4.2

AdvancedTicketWorkflowPlugin   	0.10dev-r7701  	/usr/lib/python2.6/site-packages
HudsonTrac 	 	 	0.3 	/usr/local/lib/python2.6/site-packages/HudsonTrac-0.3-py2.6.egg
IniAdmin 	 	 	0.2 	/usr/local/lib/python2.6/site-packages/IniAdmin-0.2-py2.6.egg
timingandestimationplugin 	0.8.0 	/usr/local/lib/python2.6/site-packages/timingandestimationplugin-0.8.0-py2.6.egg
TracAccountManager 	 	0.2.1dev-r0 	/usr/local/lib/python2.6/site-packages/TracAccountManager-0.2.1dev_r0-py2.6.egg
TracXMLRPC 	 	 	1.0.6 	/usr/local/lib/python2.6/site-packages/TracXMLRPC-1.0.6-py2.6.egg


Error Log; I've got the following after I enabled 'timingandestimationplugin =>   TimeTrackingSetupParticipant' and executed'trac-admin /srv/trac/extranet upgrade':

2010-09-01 04:05:19,763 Trac[console] ERROR: Exception in trac-admin command:
Traceback (most recent call last):
  File "build/bdist.linux-i686/egg/trac/admin/console.py", line 107, in onecmd
    rv = cmd.Cmd.onecmd(self, line) or 0
  File "/usr/lib/python2.6/cmd.py", line 218, in onecmd
    return self.default(line)
  File "build/bdist.linux-i686/egg/trac/admin/console.py", line 257, in default
    return cmd_mgr.execute_command(*args)
  File "build/bdist.linux-i686/egg/trac/admin/api.py", line 123, in execute_command
    return f(*fargs)
  File "build/bdist.linux-i686/egg/trac/env.py", line 780, in _do_upgrade
    self.env.upgrade(backup=no_backup is None)
  File "build/bdist.linux-i686/egg/trac/env.py", line 523, in upgrade
    with_transaction(self)(participant.upgrade_environment)
  File "build/bdist.linux-i686/egg/trac/db/api.py", line 82, in transaction_wrapper
    ldb.rollback()
  File "build/bdist.linux-i686/egg/trac/db/util.py", line 102, in __getattr__
    return getattr(self.cnx, name)
AttributeError: 'NoneType' object has no attribute 'rollback'

comment:7 Changed 4 years ago by pas@…

2010-09-01 04:26:55,608 Trac[env] INFO: -------------------------------- environment startup [Trac 0.13dev-r9983] --------------------------------
2010-09-01 04:26:55,633 Trac[loader] DEBUG: Loading HudsonTrac from /usr/local/lib/python2.6/site-packages/HudsonTrac-0.3-py2.6.egg
2010-09-01 04:26:55,634 Trac[loader] DEBUG: Loading TracXMLRPC from /usr/local/lib/python2.6/site-packages/TracXMLRPC-1.0.6-py2.6.egg
2010-09-01 04:26:55,634 Trac[loader] DEBUG: Loading acct_mgr.admin from /usr/local/lib/python2.6/site-packages/TracAccountManager-0.2.1dev_r0-py2.6.egg
2010-09-01 04:26:55,634 Trac[loader] DEBUG: Loading acct_mgr.api from /usr/local/lib/python2.6/site-packages/TracAccountManager-0.2.1dev_r0-py2.6.egg
2010-09-01 04:26:55,635 Trac[loader] DEBUG: Loading acct_mgr.db from /usr/local/lib/python2.6/site-packages/TracAccountManager-0.2.1dev_r0-py2.6.egg
2010-09-01 04:26:55,636 Trac[loader] DEBUG: Loading acct_mgr.htfile from /usr/local/lib/python2.6/site-packages/TracAccountManager-0.2.1dev_r0-py2.6.egg
2010-09-01 04:26:55,636 Trac[loader] DEBUG: Loading acct_mgr.http from /usr/local/lib/python2.6/site-packages/TracAccountManager-0.2.1dev_r0-py2.6.egg
2010-09-01 04:26:55,636 Trac[loader] DEBUG: Loading acct_mgr.notification from /usr/local/lib/python2.6/site-packages/TracAccountManager-0.2.1dev_r0-py2.6.egg
2010-09-01 04:26:55,637 Trac[loader] DEBUG: Loading acct_mgr.pwhash from /usr/local/lib/python2.6/site-packages/TracAccountManager-0.2.1dev_r0-py2.6.egg
2010-09-01 04:26:55,637 Trac[loader] DEBUG: Loading acct_mgr.svnserve from /usr/local/lib/python2.6/site-packages/TracAccountManager-0.2.1dev_r0-py2.6.egg
2010-09-01 04:26:55,639 Trac[loader] DEBUG: Loading acct_mgr.web_ui from /usr/local/lib/python2.6/site-packages/TracAccountManager-0.2.1dev_r0-py2.6.egg
2010-09-01 04:26:55,640 Trac[loader] DEBUG: Loading advancedworkflow.controller from /usr/lib/python2.6/site-packages
2010-09-01 04:26:55,640 Trac[loader] DEBUG: Loading iniadmin from /usr/local/lib/python2.6/site-packages/IniAdmin-0.2-py2.6.egg
2010-09-01 04:26:55,641 Trac[loader] DEBUG: Loading timingandestimationplugin from /usr/local/lib/python2.6/site-packages/timingandestimationplugin-0.8.0-py2.6.egg
2010-09-01 04:26:55,641 Trac[loader] DEBUG: Loading trac.about from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:26:55,642 Trac[loader] DEBUG: Loading trac.admin.console from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:26:55,643 Trac[loader] DEBUG: Loading trac.admin.web_ui from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:26:55,643 Trac[loader] DEBUG: Loading trac.attachment from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:26:55,644 Trac[loader] DEBUG: Loading trac.db.mysql from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:26:55,644 Trac[loader] DEBUG: Loading trac.db.postgres from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:26:55,645 Trac[loader] DEBUG: Loading trac.db.sqlite from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:26:55,646 Trac[loader] DEBUG: Loading trac.mimeview.patch from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:26:55,646 Trac[loader] DEBUG: Loading trac.mimeview.pygments from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:26:55,647 Trac[loader] DEBUG: Loading trac.mimeview.rst from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:26:55,648 Trac[loader] DEBUG: Loading trac.mimeview.silvercity from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:26:55,648 Trac[loader] DEBUG: Loading trac.mimeview.txtl from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:26:55,649 Trac[loader] DEBUG: Loading trac.prefs from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:26:55,650 Trac[loader] DEBUG: Loading trac.search from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:26:55,650 Trac[loader] DEBUG: Loading trac.ticket.admin from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:26:55,651 Trac[loader] DEBUG: Loading trac.ticket.query from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:26:55,651 Trac[loader] DEBUG: Loading trac.ticket.report from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:26:55,652 Trac[loader] DEBUG: Loading trac.ticket.roadmap from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:26:55,653 Trac[loader] DEBUG: Loading trac.ticket.web_ui from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:26:55,653 Trac[loader] DEBUG: Loading trac.timeline from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:26:55,654 Trac[loader] DEBUG: Loading trac.versioncontrol.admin from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:26:55,654 Trac[loader] DEBUG: Loading trac.versioncontrol.svn_authz from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:26:55,655 Trac[loader] DEBUG: Loading trac.versioncontrol.svn_fs from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:26:55,655 Trac[loader] DEBUG: Loading trac.versioncontrol.svn_prop from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:26:55,656 Trac[loader] DEBUG: Loading trac.versioncontrol.web_ui from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:26:55,657 Trac[loader] DEBUG: Loading trac.web.auth from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:26:55,657 Trac[loader] DEBUG: Loading trac.web.session from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:26:55,658 Trac[loader] DEBUG: Loading trac.wiki.admin from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:26:55,658 Trac[loader] DEBUG: Loading trac.wiki.interwiki from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:26:55,659 Trac[loader] DEBUG: Loading trac.wiki.macros from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:26:55,660 Trac[loader] DEBUG: Loading trac.wiki.web_api from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:26:55,660 Trac[loader] DEBUG: Loading trac.wiki.web_ui from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:26:55,661 Trac[loader] DEBUG: Loading tracopt.mimeview.enscript from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:26:55,661 Trac[loader] DEBUG: Loading tracopt.mimeview.php from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:26:55,662 Trac[loader] DEBUG: Loading tracopt.perm.authz_policy from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:26:55,663 Trac[loader] DEBUG: Loading tracopt.perm.config_perm_provider from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:26:55,663 Trac[loader] DEBUG: Loading tracopt.ticket.commit_updater from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:26:55,664 Trac[loader] DEBUG: Loading tracopt.ticket.deleter from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:26:55,681 Trac[default_workflow] DEBUG: Workflow actions at initialization: {u'resolve': {u'operations': [u'set_resolution'], 'name': u'resolve', 'default': 0, 'newstate': u'closed', 'oldstates': [u'new', u'assigned', u'accepted', u'reopened'], u'permissions': [u'TICKET_MODIFY']}, u'accept': {u'operations': [u'set_owner_to_self'], 'name': u'accept', 'default': 0, 'newstate': u'accepted', 'oldstates': [u'new', u'assigned', u'accepted', u'reopened'], u'permissions': [u'TICKET_MODIFY']}, u'leave': {u'operations': [u'leave_status'], 'name': u'leave', u'default': 1, 'newstate': u'*', 'oldstates': [u'*'], 'permissions': []}, u'reopen': {u'operations': [u'del_resolution'], 'name': u'reopen', 'default': 0, 'newstate': u'reopened', 'oldstates': [u'closed'], u'permissions': [u'TICKET_CREATE']}, u'reassign': {u'operations': [u'set_owner'], 'name': u'reassign', 'default': 0, 'newstate': u'assigned', 'oldstates': [u'new', u'assigned', u'accepted', u'reopened'], u'permissions': [u'TICKET_MODIFY']}, '_reset': {'operations': ['reset_workflow'], 'name': 'reset', 'default': 0, 'newstate': 'new', 'oldstates': [], 'permissions': []}}

2010-09-01 04:26:55,687 Trac[env] WARNING: base_url option not set in configuration, generated links may be incorrect
2010-09-01 04:26:55,687 Trac[main] DEBUG: Dispatching <Request "GET '/admin/general/logging'">
2010-09-01 04:26:55,695 Trac[session] DEBUG: Retrieving session for ID u'pas'
2010-09-01 04:26:55,699 Trac[main] DEBUG: Negotiated locale: ['de-de', 'de'] -> de
2010-09-01 04:26:55,723 Trac[svn_fs] DEBUG: Subversion bindings imported
2010-09-01 04:26:55,730 Trac[api] INFO: Synchronized '' repository in 0.04 seconds
2010-09-01 04:26:55,733 Trac[api] DEBUG: action controllers for ticket workflow: ['ConfigurableTicketWorkflow']
2010-09-01 04:26:55,738 Trac[chrome] DEBUG: Prepare chrome data for request
2010-09-01 04:26:55,869 Trac[tande_filters] DEBUG: self.billing_reports= set([])
2010-09-01 04:26:55,871 Trac[ticket_webui] DEBUG: TicketWebUiAddon executing
2010-09-01 04:26:55,871 Trac[ticket_webui] DEBUG: TicketWebUiAddon not the correct template
2010-09-01 04:27:02,770 Trac[env] INFO: -------------------------------- environment startup [Trac 0.13dev-r9983] --------------------------------
2010-09-01 04:27:02,794 Trac[loader] DEBUG: Loading HudsonTrac from /usr/local/lib/python2.6/site-packages/HudsonTrac-0.3-py2.6.egg
2010-09-01 04:27:02,794 Trac[loader] DEBUG: Loading TracXMLRPC from /usr/local/lib/python2.6/site-packages/TracXMLRPC-1.0.6-py2.6.egg
2010-09-01 04:27:02,794 Trac[loader] DEBUG: Loading acct_mgr.admin from /usr/local/lib/python2.6/site-packages/TracAccountManager-0.2.1dev_r0-py2.6.egg
2010-09-01 04:27:02,795 Trac[loader] DEBUG: Loading acct_mgr.api from /usr/local/lib/python2.6/site-packages/TracAccountManager-0.2.1dev_r0-py2.6.egg
2010-09-01 04:27:02,795 Trac[loader] DEBUG: Loading acct_mgr.db from /usr/local/lib/python2.6/site-packages/TracAccountManager-0.2.1dev_r0-py2.6.egg
2010-09-01 04:27:02,795 Trac[loader] DEBUG: Loading acct_mgr.htfile from /usr/local/lib/python2.6/site-packages/TracAccountManager-0.2.1dev_r0-py2.6.egg
2010-09-01 04:27:02,795 Trac[loader] DEBUG: Loading acct_mgr.http from /usr/local/lib/python2.6/site-packages/TracAccountManager-0.2.1dev_r0-py2.6.egg
2010-09-01 04:27:02,796 Trac[loader] DEBUG: Loading acct_mgr.notification from /usr/local/lib/python2.6/site-packages/TracAccountManager-0.2.1dev_r0-py2.6.egg
2010-09-01 04:27:02,796 Trac[loader] DEBUG: Loading acct_mgr.pwhash from /usr/local/lib/python2.6/site-packages/TracAccountManager-0.2.1dev_r0-py2.6.egg
2010-09-01 04:27:02,796 Trac[loader] DEBUG: Loading acct_mgr.svnserve from /usr/local/lib/python2.6/site-packages/TracAccountManager-0.2.1dev_r0-py2.6.egg
2010-09-01 04:27:02,796 Trac[loader] DEBUG: Loading acct_mgr.web_ui from /usr/local/lib/python2.6/site-packages/TracAccountManager-0.2.1dev_r0-py2.6.egg
2010-09-01 04:27:02,796 Trac[loader] DEBUG: Loading advancedworkflow.controller from /usr/lib/python2.6/site-packages
2010-09-01 04:27:02,797 Trac[loader] DEBUG: Loading iniadmin from /usr/local/lib/python2.6/site-packages/IniAdmin-0.2-py2.6.egg
2010-09-01 04:27:02,797 Trac[loader] DEBUG: Loading timingandestimationplugin from /usr/local/lib/python2.6/site-packages/timingandestimationplugin-0.8.0-py2.6.egg
2010-09-01 04:27:02,797 Trac[loader] DEBUG: Loading trac.about from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:02,798 Trac[loader] DEBUG: Loading trac.admin.console from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:02,798 Trac[loader] DEBUG: Loading trac.admin.web_ui from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:02,798 Trac[loader] DEBUG: Loading trac.attachment from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:02,799 Trac[loader] DEBUG: Loading trac.db.mysql from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:02,799 Trac[loader] DEBUG: Loading trac.db.postgres from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:02,800 Trac[loader] DEBUG: Loading trac.db.sqlite from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:02,800 Trac[loader] DEBUG: Loading trac.mimeview.patch from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:02,800 Trac[loader] DEBUG: Loading trac.mimeview.pygments from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:02,801 Trac[loader] DEBUG: Loading trac.mimeview.rst from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:02,801 Trac[loader] DEBUG: Loading trac.mimeview.silvercity from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:02,802 Trac[loader] DEBUG: Loading trac.mimeview.txtl from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:02,802 Trac[loader] DEBUG: Loading trac.prefs from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:02,803 Trac[loader] DEBUG: Loading trac.search from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:02,803 Trac[loader] DEBUG: Loading trac.ticket.admin from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:02,804 Trac[loader] DEBUG: Loading trac.ticket.query from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:02,804 Trac[loader] DEBUG: Loading trac.ticket.report from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:02,804 Trac[loader] DEBUG: Loading trac.ticket.roadmap from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:02,805 Trac[loader] DEBUG: Loading trac.ticket.web_ui from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:02,805 Trac[loader] DEBUG: Loading trac.timeline from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:02,806 Trac[loader] DEBUG: Loading trac.versioncontrol.admin from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:02,806 Trac[loader] DEBUG: Loading trac.versioncontrol.svn_authz from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:02,806 Trac[loader] DEBUG: Loading trac.versioncontrol.svn_fs from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:02,807 Trac[loader] DEBUG: Loading trac.versioncontrol.svn_prop from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:02,807 Trac[loader] DEBUG: Loading trac.versioncontrol.web_ui from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:02,808 Trac[loader] DEBUG: Loading trac.web.auth from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:02,808 Trac[loader] DEBUG: Loading trac.web.session from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:02,809 Trac[loader] DEBUG: Loading trac.wiki.admin from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:02,809 Trac[loader] DEBUG: Loading trac.wiki.interwiki from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:02,809 Trac[loader] DEBUG: Loading trac.wiki.macros from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:02,810 Trac[loader] DEBUG: Loading trac.wiki.web_api from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:02,810 Trac[loader] DEBUG: Loading trac.wiki.web_ui from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:02,811 Trac[loader] DEBUG: Loading tracopt.mimeview.enscript from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:02,811 Trac[loader] DEBUG: Loading tracopt.mimeview.php from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:02,811 Trac[loader] DEBUG: Loading tracopt.perm.authz_policy from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:02,812 Trac[loader] DEBUG: Loading tracopt.perm.config_perm_provider from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:02,812 Trac[loader] DEBUG: Loading tracopt.ticket.commit_updater from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:02,813 Trac[loader] DEBUG: Loading tracopt.ticket.deleter from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:02,830 Trac[default_workflow] DEBUG: Workflow actions at initialization: {u'resolve': {u'operations': [u'set_resolution'], 'name': u'resolve', 'default': 0, 'newstate': u'closed', 'oldstates': [u'new', u'assigned', u'accepted', u'reopened'], u'permissions': [u'TICKET_MODIFY']}, u'accept': {u'operations': [u'set_owner_to_self'], 'name': u'accept', 'default': 0, 'newstate': u'accepted', 'oldstates': [u'new', u'assigned', u'accepted', u'reopened'], u'permissions': [u'TICKET_MODIFY']}, u'leave': {u'operations': [u'leave_status'], 'name': u'leave', u'default': 1, 'newstate': u'*', 'oldstates': [u'*'], 'permissions': []}, u'reopen': {u'operations': [u'del_resolution'], 'name': u'reopen', 'default': 0, 'newstate': u'reopened', 'oldstates': [u'closed'], u'permissions': [u'TICKET_CREATE']}, u'reassign': {u'operations': [u'set_owner'], 'name': u'reassign', 'default': 0, 'newstate': u'assigned', 'oldstates': [u'new', u'assigned', u'accepted', u'reopened'], u'permissions': [u'TICKET_MODIFY']}, '_reset': {'operations': ['reset_workflow'], 'name': 'reset', 'default': 0, 'newstate': 'new', 'oldstates': [], 'permissions': []}}

2010-09-01 04:27:02,835 Trac[env] WARNING: base_url option not set in configuration, generated links may be incorrect
2010-09-01 04:27:02,836 Trac[main] DEBUG: Dispatching <Request "GET '/admin/general/plugin'">
2010-09-01 04:27:02,844 Trac[session] DEBUG: Retrieving session for ID u'pas'
2010-09-01 04:27:02,847 Trac[main] DEBUG: Negotiated locale: ['de-de', 'de'] -> de
2010-09-01 04:27:02,868 Trac[svn_fs] DEBUG: Subversion bindings imported
2010-09-01 04:27:02,874 Trac[api] INFO: Synchronized '' repository in 0.04 seconds
2010-09-01 04:27:02,877 Trac[api] DEBUG: action controllers for ticket workflow: ['ConfigurableTicketWorkflow']
2010-09-01 04:27:02,957 Trac[chrome] DEBUG: Prepare chrome data for request
2010-09-01 04:27:03,137 Trac[tande_filters] DEBUG: self.billing_reports= set([])
2010-09-01 04:27:03,138 Trac[ticket_webui] DEBUG: TicketWebUiAddon executing
2010-09-01 04:27:03,138 Trac[ticket_webui] DEBUG: TicketWebUiAddon not the correct template
2010-09-01 04:27:08,992 Trac[env] INFO: -------------------------------- environment startup [Trac 0.13dev-r9983] --------------------------------
2010-09-01 04:27:09,016 Trac[loader] DEBUG: Loading HudsonTrac from /usr/local/lib/python2.6/site-packages/HudsonTrac-0.3-py2.6.egg
2010-09-01 04:27:09,017 Trac[loader] DEBUG: Loading TracXMLRPC from /usr/local/lib/python2.6/site-packages/TracXMLRPC-1.0.6-py2.6.egg
2010-09-01 04:27:09,017 Trac[loader] DEBUG: Loading acct_mgr.admin from /usr/local/lib/python2.6/site-packages/TracAccountManager-0.2.1dev_r0-py2.6.egg
2010-09-01 04:27:09,017 Trac[loader] DEBUG: Loading acct_mgr.api from /usr/local/lib/python2.6/site-packages/TracAccountManager-0.2.1dev_r0-py2.6.egg
2010-09-01 04:27:09,018 Trac[loader] DEBUG: Loading acct_mgr.db from /usr/local/lib/python2.6/site-packages/TracAccountManager-0.2.1dev_r0-py2.6.egg
2010-09-01 04:27:09,018 Trac[loader] DEBUG: Loading acct_mgr.htfile from /usr/local/lib/python2.6/site-packages/TracAccountManager-0.2.1dev_r0-py2.6.egg
2010-09-01 04:27:09,018 Trac[loader] DEBUG: Loading acct_mgr.http from /usr/local/lib/python2.6/site-packages/TracAccountManager-0.2.1dev_r0-py2.6.egg
2010-09-01 04:27:09,018 Trac[loader] DEBUG: Loading acct_mgr.notification from /usr/local/lib/python2.6/site-packages/TracAccountManager-0.2.1dev_r0-py2.6.egg
2010-09-01 04:27:09,018 Trac[loader] DEBUG: Loading acct_mgr.pwhash from /usr/local/lib/python2.6/site-packages/TracAccountManager-0.2.1dev_r0-py2.6.egg
2010-09-01 04:27:09,019 Trac[loader] DEBUG: Loading acct_mgr.svnserve from /usr/local/lib/python2.6/site-packages/TracAccountManager-0.2.1dev_r0-py2.6.egg
2010-09-01 04:27:09,019 Trac[loader] DEBUG: Loading acct_mgr.web_ui from /usr/local/lib/python2.6/site-packages/TracAccountManager-0.2.1dev_r0-py2.6.egg
2010-09-01 04:27:09,019 Trac[loader] DEBUG: Loading advancedworkflow.controller from /usr/lib/python2.6/site-packages
2010-09-01 04:27:09,019 Trac[loader] DEBUG: Loading iniadmin from /usr/local/lib/python2.6/site-packages/IniAdmin-0.2-py2.6.egg
2010-09-01 04:27:09,020 Trac[loader] DEBUG: Loading timingandestimationplugin from /usr/local/lib/python2.6/site-packages/timingandestimationplugin-0.8.0-py2.6.egg
2010-09-01 04:27:09,020 Trac[loader] DEBUG: Loading trac.about from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:09,020 Trac[loader] DEBUG: Loading trac.admin.console from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:09,021 Trac[loader] DEBUG: Loading trac.admin.web_ui from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:09,021 Trac[loader] DEBUG: Loading trac.attachment from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:09,021 Trac[loader] DEBUG: Loading trac.db.mysql from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:09,022 Trac[loader] DEBUG: Loading trac.db.postgres from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:09,022 Trac[loader] DEBUG: Loading trac.db.sqlite from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:09,023 Trac[loader] DEBUG: Loading trac.mimeview.patch from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:09,023 Trac[loader] DEBUG: Loading trac.mimeview.pygments from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:09,023 Trac[loader] DEBUG: Loading trac.mimeview.rst from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:09,024 Trac[loader] DEBUG: Loading trac.mimeview.silvercity from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:09,024 Trac[loader] DEBUG: Loading trac.mimeview.txtl from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:09,025 Trac[loader] DEBUG: Loading trac.prefs from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:09,026 Trac[loader] DEBUG: Loading trac.search from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:09,026 Trac[loader] DEBUG: Loading trac.ticket.admin from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:09,026 Trac[loader] DEBUG: Loading trac.ticket.query from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:09,027 Trac[loader] DEBUG: Loading trac.ticket.report from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:09,027 Trac[loader] DEBUG: Loading trac.ticket.roadmap from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:09,028 Trac[loader] DEBUG: Loading trac.ticket.web_ui from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:09,028 Trac[loader] DEBUG: Loading trac.timeline from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:09,028 Trac[loader] DEBUG: Loading trac.versioncontrol.admin from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:09,029 Trac[loader] DEBUG: Loading trac.versioncontrol.svn_authz from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:09,029 Trac[loader] DEBUG: Loading trac.versioncontrol.svn_fs from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:09,030 Trac[loader] DEBUG: Loading trac.versioncontrol.svn_prop from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:09,030 Trac[loader] DEBUG: Loading trac.versioncontrol.web_ui from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:09,030 Trac[loader] DEBUG: Loading trac.web.auth from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:09,031 Trac[loader] DEBUG: Loading trac.web.session from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:09,031 Trac[loader] DEBUG: Loading trac.wiki.admin from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:09,032 Trac[loader] DEBUG: Loading trac.wiki.interwiki from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:09,032 Trac[loader] DEBUG: Loading trac.wiki.macros from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:09,032 Trac[loader] DEBUG: Loading trac.wiki.web_api from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:09,033 Trac[loader] DEBUG: Loading trac.wiki.web_ui from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:09,033 Trac[loader] DEBUG: Loading tracopt.mimeview.enscript from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:09,034 Trac[loader] DEBUG: Loading tracopt.mimeview.php from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:09,034 Trac[loader] DEBUG: Loading tracopt.perm.authz_policy from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:09,034 Trac[loader] DEBUG: Loading tracopt.perm.config_perm_provider from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:09,035 Trac[loader] DEBUG: Loading tracopt.ticket.commit_updater from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:09,035 Trac[loader] DEBUG: Loading tracopt.ticket.deleter from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:09,053 Trac[default_workflow] DEBUG: Workflow actions at initialization: {u'resolve': {u'operations': [u'set_resolution'], 'name': u'resolve', 'default': 0, 'newstate': u'closed', 'oldstates': [u'new', u'assigned', u'accepted', u'reopened'], u'permissions': [u'TICKET_MODIFY']}, u'accept': {u'operations': [u'set_owner_to_self'], 'name': u'accept', 'default': 0, 'newstate': u'accepted', 'oldstates': [u'new', u'assigned', u'accepted', u'reopened'], u'permissions': [u'TICKET_MODIFY']}, u'leave': {u'operations': [u'leave_status'], 'name': u'leave', u'default': 1, 'newstate': u'*', 'oldstates': [u'*'], 'permissions': []}, u'reopen': {u'operations': [u'del_resolution'], 'name': u'reopen', 'default': 0, 'newstate': u'reopened', 'oldstates': [u'closed'], u'permissions': [u'TICKET_CREATE']}, u'reassign': {u'operations': [u'set_owner'], 'name': u'reassign', 'default': 0, 'newstate': u'assigned', 'oldstates': [u'new', u'assigned', u'accepted', u'reopened'], u'permissions': [u'TICKET_MODIFY']}, '_reset': {'operations': ['reset_workflow'], 'name': 'reset', 'default': 0, 'newstate': 'new', 'oldstates': [], 'permissions': []}}

2010-09-01 04:27:09,058 Trac[env] WARNING: base_url option not set in configuration, generated links may be incorrect
2010-09-01 04:27:09,058 Trac[main] DEBUG: Dispatching <Request "POST '/admin/general/plugin'">
2010-09-01 04:27:09,066 Trac[session] DEBUG: Retrieving session for ID u'pas'
2010-09-01 04:27:09,070 Trac[main] DEBUG: Negotiated locale: ['de-de', 'de'] -> de
2010-09-01 04:27:09,093 Trac[svn_fs] DEBUG: Subversion bindings imported
2010-09-01 04:27:09,099 Trac[api] INFO: Synchronized '' repository in 0.04 seconds
2010-09-01 04:27:09,102 Trac[api] DEBUG: action controllers for ticket workflow: ['ConfigurableTicketWorkflow']
2010-09-01 04:27:09,106 Trac[web_ui] INFO: Enabling component timingandestimationplugin.api.TimeTrackingSetupParticipant
2010-09-01 04:27:09,126 Trac[chrome] DEBUG: Prepare chrome data for request
2010-09-01 04:27:09,206 Trac[env] INFO: Reloading environment due to configuration change
2010-09-01 04:27:09,219 Trac[env] INFO: -------------------------------- environment startup [Trac 0.13dev-r9983] --------------------------------
2010-09-01 04:27:09,245 Trac[loader] DEBUG: Loading HudsonTrac from /usr/local/lib/python2.6/site-packages/HudsonTrac-0.3-py2.6.egg
2010-09-01 04:27:09,246 Trac[loader] DEBUG: Loading TracXMLRPC from /usr/local/lib/python2.6/site-packages/TracXMLRPC-1.0.6-py2.6.egg
2010-09-01 04:27:09,246 Trac[loader] DEBUG: Loading acct_mgr.admin from /usr/local/lib/python2.6/site-packages/TracAccountManager-0.2.1dev_r0-py2.6.egg
2010-09-01 04:27:09,247 Trac[loader] DEBUG: Loading acct_mgr.api from /usr/local/lib/python2.6/site-packages/TracAccountManager-0.2.1dev_r0-py2.6.egg
2010-09-01 04:27:09,247 Trac[loader] DEBUG: Loading acct_mgr.db from /usr/local/lib/python2.6/site-packages/TracAccountManager-0.2.1dev_r0-py2.6.egg
2010-09-01 04:27:09,247 Trac[loader] DEBUG: Loading acct_mgr.htfile from /usr/local/lib/python2.6/site-packages/TracAccountManager-0.2.1dev_r0-py2.6.egg
2010-09-01 04:27:09,248 Trac[loader] DEBUG: Loading acct_mgr.http from /usr/local/lib/python2.6/site-packages/TracAccountManager-0.2.1dev_r0-py2.6.egg
2010-09-01 04:27:09,248 Trac[loader] DEBUG: Loading acct_mgr.notification from /usr/local/lib/python2.6/site-packages/TracAccountManager-0.2.1dev_r0-py2.6.egg
2010-09-01 04:27:09,249 Trac[loader] DEBUG: Loading acct_mgr.pwhash from /usr/local/lib/python2.6/site-packages/TracAccountManager-0.2.1dev_r0-py2.6.egg
2010-09-01 04:27:09,249 Trac[loader] DEBUG: Loading acct_mgr.svnserve from /usr/local/lib/python2.6/site-packages/TracAccountManager-0.2.1dev_r0-py2.6.egg
2010-09-01 04:27:09,250 Trac[loader] DEBUG: Loading acct_mgr.web_ui from /usr/local/lib/python2.6/site-packages/TracAccountManager-0.2.1dev_r0-py2.6.egg
2010-09-01 04:27:09,250 Trac[loader] DEBUG: Loading advancedworkflow.controller from /usr/lib/python2.6/site-packages
2010-09-01 04:27:09,251 Trac[loader] DEBUG: Loading iniadmin from /usr/local/lib/python2.6/site-packages/IniAdmin-0.2-py2.6.egg
2010-09-01 04:27:09,251 Trac[loader] DEBUG: Loading timingandestimationplugin from /usr/local/lib/python2.6/site-packages/timingandestimationplugin-0.8.0-py2.6.egg
2010-09-01 04:27:09,251 Trac[loader] DEBUG: Loading trac.about from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:09,252 Trac[loader] DEBUG: Loading trac.admin.console from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:09,253 Trac[loader] DEBUG: Loading trac.admin.web_ui from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:09,253 Trac[loader] DEBUG: Loading trac.attachment from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:09,254 Trac[loader] DEBUG: Loading trac.db.mysql from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:09,254 Trac[loader] DEBUG: Loading trac.db.postgres from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:09,255 Trac[loader] DEBUG: Loading trac.db.sqlite from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:09,255 Trac[loader] DEBUG: Loading trac.mimeview.patch from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:09,256 Trac[loader] DEBUG: Loading trac.mimeview.pygments from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:09,257 Trac[loader] DEBUG: Loading trac.mimeview.rst from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:09,257 Trac[loader] DEBUG: Loading trac.mimeview.silvercity from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:09,258 Trac[loader] DEBUG: Loading trac.mimeview.txtl from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:09,259 Trac[loader] DEBUG: Loading trac.prefs from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:09,260 Trac[loader] DEBUG: Loading trac.search from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:09,260 Trac[loader] DEBUG: Loading trac.ticket.admin from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:09,261 Trac[loader] DEBUG: Loading trac.ticket.query from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:09,261 Trac[loader] DEBUG: Loading trac.ticket.report from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:09,262 Trac[loader] DEBUG: Loading trac.ticket.roadmap from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:09,262 Trac[loader] DEBUG: Loading trac.ticket.web_ui from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:09,263 Trac[loader] DEBUG: Loading trac.timeline from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:09,264 Trac[loader] DEBUG: Loading trac.versioncontrol.admin from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:09,264 Trac[loader] DEBUG: Loading trac.versioncontrol.svn_authz from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:09,265 Trac[loader] DEBUG: Loading trac.versioncontrol.svn_fs from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:09,266 Trac[loader] DEBUG: Loading trac.versioncontrol.svn_prop from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:09,266 Trac[loader] DEBUG: Loading trac.versioncontrol.web_ui from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:09,267 Trac[loader] DEBUG: Loading trac.web.auth from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:09,267 Trac[loader] DEBUG: Loading trac.web.session from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:09,268 Trac[loader] DEBUG: Loading trac.wiki.admin from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:09,269 Trac[loader] DEBUG: Loading trac.wiki.interwiki from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:09,269 Trac[loader] DEBUG: Loading trac.wiki.macros from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:09,270 Trac[loader] DEBUG: Loading trac.wiki.web_api from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:09,270 Trac[loader] DEBUG: Loading trac.wiki.web_ui from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:09,271 Trac[loader] DEBUG: Loading tracopt.mimeview.enscript from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:09,271 Trac[loader] DEBUG: Loading tracopt.mimeview.php from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:09,272 Trac[loader] DEBUG: Loading tracopt.perm.authz_policy from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:09,273 Trac[loader] DEBUG: Loading tracopt.perm.config_perm_provider from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:09,273 Trac[loader] DEBUG: Loading tracopt.ticket.commit_updater from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:09,274 Trac[loader] DEBUG: Loading tracopt.ticket.deleter from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:09,293 Trac[default_workflow] DEBUG: Workflow actions at initialization: {u'resolve': {u'operations': [u'set_resolution'], 'name': u'resolve', 'default': 0, 'newstate': u'closed', 'oldstates': [u'new', u'assigned', u'accepted', u'reopened'], u'permissions': [u'TICKET_MODIFY']}, u'accept': {u'operations': [u'set_owner_to_self'], 'name': u'accept', 'default': 0, 'newstate': u'accepted', 'oldstates': [u'new', u'assigned', u'accepted', u'reopened'], u'permissions': [u'TICKET_MODIFY']}, u'leave': {u'operations': [u'leave_status'], 'name': u'leave', u'default': 1, 'newstate': u'*', 'oldstates': [u'*'], 'permissions': []}, u'reopen': {u'operations': [u'del_resolution'], 'name': u'reopen', 'default': 0, 'newstate': u'reopened', 'oldstates': [u'closed'], u'permissions': [u'TICKET_CREATE']}, u'reassign': {u'operations': [u'set_owner'], 'name': u'reassign', 'default': 0, 'newstate': u'assigned', 'oldstates': [u'new', u'assigned', u'accepted', u'reopened'], u'permissions': [u'TICKET_MODIFY']}, '_reset': {'operations': ['reset_workflow'], 'name': 'reset', 'default': 0, 'newstate': 'new', 'oldstates': [], 'permissions': []}}

2010-09-01 04:27:09,307 Trac[api] DEBUG: T&E needs upgrades for the following reports: [('03815803-7688-4f3a-8e65-8d254cc1d1fb', 16), ('8d785cdb-dcf5-43c9-b2a6-216997b0011a', 16), ('040c9025-7641-4d18-96ad-2b26b4095566', 16), ('7816f034-a174-4a94-aed6-358fb648b2fc', 16), ('5f33b102-e6a6-47e8-976c-ac7a6794a909', 16), ('7bd4b0ce-da6d-4b11-8be3-07e65b540d99', 18), ('af13564f-0e36-4a17-96c0-632dc68d8d14', 18), ('71e7c36d-e512-4d0b-b499-087d4d20ff0b', 16), ('b24f08c0-d41f-4c63-93a5-25e18a8513c2', 21)]
2010-09-01 04:27:09,311 Trac[api] DEBUG: NEEDS UP?: sys:True, rep:True, stats:True, fields:True, man:True
2010-09-01 04:27:09,312 Trac[env] WARNING: Component <timingandestimationplugin.api.TimeTrackingSetupParticipant object at 0xb89ca22c> requires environment upgrade
2010-09-01 04:27:15,089 Trac[env] INFO: -------------------------------- environment startup [Trac 0.13dev-r9983] --------------------------------
2010-09-01 04:27:15,130 Trac[loader] DEBUG: Loading HudsonTrac from /usr/local/lib/python2.6/site-packages/HudsonTrac-0.3-py2.6.egg
2010-09-01 04:27:15,152 Trac[loader] DEBUG: Loading TracXMLRPC from /usr/local/lib/python2.6/site-packages/TracXMLRPC-1.0.6-py2.6.egg
2010-09-01 04:27:15,187 Trac[loader] DEBUG: Loading acct_mgr.admin from /usr/local/lib/python2.6/site-packages/TracAccountManager-0.2.1dev_r0-py2.6.egg
2010-09-01 04:27:15,198 Trac[loader] DEBUG: Loading acct_mgr.api from /usr/local/lib/python2.6/site-packages/TracAccountManager-0.2.1dev_r0-py2.6.egg
2010-09-01 04:27:15,199 Trac[loader] DEBUG: Loading acct_mgr.db from /usr/local/lib/python2.6/site-packages/TracAccountManager-0.2.1dev_r0-py2.6.egg
2010-09-01 04:27:15,202 Trac[loader] DEBUG: Loading acct_mgr.htfile from /usr/local/lib/python2.6/site-packages/TracAccountManager-0.2.1dev_r0-py2.6.egg
2010-09-01 04:27:15,203 Trac[loader] DEBUG: Loading acct_mgr.http from /usr/local/lib/python2.6/site-packages/TracAccountManager-0.2.1dev_r0-py2.6.egg
2010-09-01 04:27:15,204 Trac[loader] DEBUG: Loading acct_mgr.notification from /usr/local/lib/python2.6/site-packages/TracAccountManager-0.2.1dev_r0-py2.6.egg
2010-09-01 04:27:15,206 Trac[loader] DEBUG: Loading acct_mgr.pwhash from /usr/local/lib/python2.6/site-packages/TracAccountManager-0.2.1dev_r0-py2.6.egg
2010-09-01 04:27:15,206 Trac[loader] DEBUG: Loading acct_mgr.svnserve from /usr/local/lib/python2.6/site-packages/TracAccountManager-0.2.1dev_r0-py2.6.egg
2010-09-01 04:27:15,207 Trac[loader] DEBUG: Loading acct_mgr.web_ui from /usr/local/lib/python2.6/site-packages/TracAccountManager-0.2.1dev_r0-py2.6.egg
2010-09-01 04:27:15,207 Trac[loader] DEBUG: Loading advancedworkflow.controller from /usr/lib/python2.6/site-packages
2010-09-01 04:27:15,210 Trac[loader] DEBUG: Loading iniadmin from /usr/local/lib/python2.6/site-packages/IniAdmin-0.2-py2.6.egg
2010-09-01 04:27:15,211 Trac[loader] DEBUG: Loading timingandestimationplugin from /usr/local/lib/python2.6/site-packages/timingandestimationplugin-0.8.0-py2.6.egg
2010-09-01 04:27:15,219 Trac[loader] DEBUG: Loading trac.about from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:15,220 Trac[loader] DEBUG: Loading trac.admin.console from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:15,220 Trac[loader] DEBUG: Loading trac.admin.web_ui from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:15,223 Trac[loader] DEBUG: Loading trac.attachment from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:15,223 Trac[loader] DEBUG: Loading trac.db.mysql from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:15,226 Trac[loader] DEBUG: Loading trac.db.postgres from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:15,237 Trac[loader] DEBUG: Loading trac.db.sqlite from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:15,244 Trac[loader] DEBUG: Loading trac.mimeview.patch from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:15,250 Trac[loader] DEBUG: Loading trac.mimeview.pygments from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:15,280 Trac[loader] DEBUG: Loading trac.mimeview.rst from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:15,395 Trac[loader] DEBUG: Loading trac.mimeview.silvercity from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:15,411 Trac[loader] DEBUG: Loading trac.mimeview.txtl from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:15,412 Trac[loader] DEBUG: Loading trac.prefs from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:15,413 Trac[loader] DEBUG: Loading trac.search from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:15,414 Trac[loader] DEBUG: Loading trac.ticket.admin from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:15,417 Trac[loader] DEBUG: Loading trac.ticket.query from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:15,418 Trac[loader] DEBUG: Loading trac.ticket.report from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:15,420 Trac[loader] DEBUG: Loading trac.ticket.roadmap from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:15,422 Trac[loader] DEBUG: Loading trac.ticket.web_ui from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:15,422 Trac[loader] DEBUG: Loading trac.timeline from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:15,425 Trac[loader] DEBUG: Loading trac.versioncontrol.admin from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:15,427 Trac[loader] DEBUG: Loading trac.versioncontrol.svn_authz from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:15,428 Trac[loader] DEBUG: Loading trac.versioncontrol.svn_fs from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:15,431 Trac[loader] DEBUG: Loading trac.versioncontrol.svn_prop from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:15,446 Trac[loader] DEBUG: Loading trac.versioncontrol.web_ui from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:15,447 Trac[loader] DEBUG: Loading trac.web.auth from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:15,447 Trac[loader] DEBUG: Loading trac.web.session from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:15,448 Trac[loader] DEBUG: Loading trac.wiki.admin from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:15,448 Trac[loader] DEBUG: Loading trac.wiki.interwiki from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:15,451 Trac[loader] DEBUG: Loading trac.wiki.macros from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:15,451 Trac[loader] DEBUG: Loading trac.wiki.web_api from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:15,453 Trac[loader] DEBUG: Loading trac.wiki.web_ui from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:15,455 Trac[loader] DEBUG: Loading tracopt.mimeview.enscript from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:15,457 Trac[loader] DEBUG: Loading tracopt.mimeview.php from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:15,458 Trac[loader] DEBUG: Loading tracopt.perm.authz_policy from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:15,460 Trac[loader] DEBUG: Loading tracopt.perm.config_perm_provider from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:15,461 Trac[loader] DEBUG: Loading tracopt.ticket.commit_updater from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:15,464 Trac[loader] DEBUG: Loading tracopt.ticket.deleter from /usr/local/lib/python2.6/site-packages/Trac-0.13dev_r9983-py2.6.egg
2010-09-01 04:27:15,487 Trac[default_workflow] DEBUG: Workflow actions at initialization: {u'resolve': {u'operations': [u'set_resolution'], 'name': u'resolve', 'default': 0, 'newstate': u'closed', 'oldstates': [u'new', u'assigned', u'accepted', u'reopened'], u'permissions': [u'TICKET_MODIFY']}, u'accept': {u'operations': [u'set_owner_to_self'], 'name': u'accept', 'default': 0, 'newstate': u'accepted', 'oldstates': [u'new', u'assigned', u'accepted', u'reopened'], u'permissions': [u'TICKET_MODIFY']}, u'leave': {u'operations': [u'leave_status'], 'name': u'leave', u'default': 1, 'newstate': u'*', 'oldstates': [u'*'], 'permissions': []}, u'reopen': {u'operations': [u'del_resolution'], 'name': u'reopen', 'default': 0, 'newstate': u'reopened', 'oldstates': [u'closed'], u'permissions': [u'TICKET_CREATE']}, u'reassign': {u'operations': [u'set_owner'], 'name': u'reassign', 'default': 0, 'newstate': u'assigned', 'oldstates': [u'new', u'assigned', u'accepted', u'reopened'], u'permissions': [u'TICKET_MODIFY']}, '_reset': {'operations': ['reset_workflow'], 'name': 'reset', 'default': 0, 'newstate': 'new', 'oldstates': [], 'permissions': []}}

2010-09-01 04:27:15,507 Trac[api] DEBUG: T&E needs upgrades for the following reports: [('03815803-7688-4f3a-8e65-8d254cc1d1fb', 16), ('8d785cdb-dcf5-43c9-b2a6-216997b0011a', 16), ('040c9025-7641-4d18-96ad-2b26b4095566', 16), ('7816f034-a174-4a94-aed6-358fb648b2fc', 16), ('5f33b102-e6a6-47e8-976c-ac7a6794a909', 16), ('7bd4b0ce-da6d-4b11-8be3-07e65b540d99', 18), ('af13564f-0e36-4a17-96c0-632dc68d8d14', 18), ('71e7c36d-e512-4d0b-b499-087d4d20ff0b', 16), ('b24f08c0-d41f-4c63-93a5-25e18a8513c2', 21)]
2010-09-01 04:27:15,511 Trac[api] DEBUG: NEEDS UP?: sys:True, rep:True, stats:True, fields:True, man:True
2010-09-01 04:27:15,511 Trac[env] WARNING: Component <timingandestimationplugin.api.TimeTrackingSetupParticipant object at 0x8d2878c> requires environment upgrade
2010-09-01 04:27:15,524 Trac[api] DEBUG: T&E needs upgrades for the following reports: [('03815803-7688-4f3a-8e65-8d254cc1d1fb', 16), ('8d785cdb-dcf5-43c9-b2a6-216997b0011a', 16), ('040c9025-7641-4d18-96ad-2b26b4095566', 16), ('7816f034-a174-4a94-aed6-358fb648b2fc', 16), ('5f33b102-e6a6-47e8-976c-ac7a6794a909', 16), ('7bd4b0ce-da6d-4b11-8be3-07e65b540d99', 18), ('af13564f-0e36-4a17-96c0-632dc68d8d14', 18), ('71e7c36d-e512-4d0b-b499-087d4d20ff0b', 16), ('b24f08c0-d41f-4c63-93a5-25e18a8513c2', 21)]
2010-09-01 04:27:15,526 Trac[api] DEBUG: NEEDS UP?: sys:True, rep:True, stats:True, fields:True, man:True
2010-09-01 04:27:15,887 Trac[env] INFO: timingandestimationplugin.api.TimeTrackingSetupParticipant upgrading...
2010-09-01 04:27:15,902 Trac[console] ERROR: Exception in trac-admin command: 
Traceback (most recent call last):
  File "build/bdist.linux-i686/egg/trac/admin/console.py", line 107, in onecmd
    rv = cmd.Cmd.onecmd(self, line) or 0
  File "/usr/lib/python2.6/cmd.py", line 218, in onecmd
    return self.default(line)
  File "build/bdist.linux-i686/egg/trac/admin/console.py", line 257, in default
    return cmd_mgr.execute_command(*args)
  File "build/bdist.linux-i686/egg/trac/admin/api.py", line 123, in execute_command
    return f(*fargs)
  File "build/bdist.linux-i686/egg/trac/env.py", line 780, in _do_upgrade
    self.env.upgrade(backup=no_backup is None)
  File "build/bdist.linux-i686/egg/trac/env.py", line 523, in upgrade
    with_transaction(self)(participant.upgrade_environment)
  File "build/bdist.linux-i686/egg/trac/db/api.py", line 82, in transaction_wrapper
    ldb.rollback()
  File "build/bdist.linux-i686/egg/trac/db/util.py", line 102, in __getattr__
    return getattr(self.cnx, name)
AttributeError: 'NoneType' object has no attribute 'rollback'

comment:8 Changed 4 years ago by pas@…

Well ... the above is not readable :D. You will find the log here:

http://h1785064.stratoserver.net/trac/trac.txt

comment:9 Changed 4 years ago by bobbysmith007

  • Resolution set to invalid
  • Status changed from new to closed

You are running a Trac 13dev release with a rediculously old version of the TimingAndEstimationPlugin (you are running 0.8.0 where the current version of the trac 12 branch is 1.0.6.)

My suggestions:

Feel free to reopen if you are still having issues after upgrading your software to appropriately compatible versions.

HTH,

Russ

comment:10 Changed 4 years ago by pas@…

Thanks a lot!
After executing 'easy_install http://trac-hacks.org/svn/timingandestimationplugin/branches/trac0.12' and 'trac-admin /srv/trac/* upgrade' it just works now.

Add Comment

Modify Ticket

Action
as closed .
as The resolution will be set. Next status will be 'closed'.
to The owner will be changed from bobbysmith007. Next status will be 'closed'.
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.